searchData={"items":[{"type":"module","title":"Mailroom","doc":"","ref":"Mailroom.html"},{"type":"module","title":"Mailroom.BackwardsCompatibleLogger","doc":"","ref":"Mailroom.BackwardsCompatibleLogger.html"},{"type":"function","title":"Mailroom.BackwardsCompatibleLogger.debug/1","doc":"","ref":"Mailroom.BackwardsCompatibleLogger.html#debug/1"},{"type":"function","title":"Mailroom.BackwardsCompatibleLogger.error/1","doc":"","ref":"Mailroom.BackwardsCompatibleLogger.html#error/1"},{"type":"function","title":"Mailroom.BackwardsCompatibleLogger.info/1","doc":"","ref":"Mailroom.BackwardsCompatibleLogger.html#info/1"},{"type":"function","title":"Mailroom.BackwardsCompatibleLogger.warning/1","doc":"","ref":"Mailroom.BackwardsCompatibleLogger.html#warning/1"},{"type":"module","title":"Mailroom.IMAP","doc":"Handles communication with a IMAP server.","ref":"Mailroom.IMAP.html"},{"type":"module","title":"Example: - Mailroom.IMAP","doc":"{:ok, client} = Mailroom.IMAP.connect(\"imap.server\", \"username\", \"password\")\n    client\n    |> Mailroom.IMAP.list\n    |> Enum.each(fn(mail) ->\n      message =\n        client\n        |> Mailroom.IMAP.retrieve(mail)\n        |> Enum.join(\"\\n\")\n      # … process message\n      Mailroom.IMAP.delete(client, mail)\n    end)\n    Mailroom.IMAP.reset(client)\n    Mailroom.IMAP.close(client)","ref":"Mailroom.IMAP.html#module-example"},{"type":"function","title":"Mailroom.IMAP.add_flags/4","doc":"","ref":"Mailroom.IMAP.html#add_flags/4"},{"type":"function","title":"Mailroom.IMAP.cancel_idle/1","doc":"","ref":"Mailroom.IMAP.html#cancel_idle/1"},{"type":"function","title":"Mailroom.IMAP.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Mailroom.IMAP.html#child_spec/1"},{"type":"function","title":"Mailroom.IMAP.close/1","doc":"","ref":"Mailroom.IMAP.html#close/1"},{"type":"function","title":"Mailroom.IMAP.connect/4","doc":"Connect to the IMAP server\n\nThe following options are available:\n\n  - `ssl` - default `false`, connect via SSL or not\n  - `port` - default `110` (`995` if SSL), the port to connect to\n  - `timeout` - default `15_000`, the timeout for connection and communication","ref":"Mailroom.IMAP.html#connect/4"},{"type":"function","title":"Examples: - Mailroom.IMAP.connect/4","doc":"Mailroom.IMAP.connect(\"imap.server\", \"me\", \"secret\", ssl: true)\n    {:ok, pid}","ref":"Mailroom.IMAP.html#connect/4-examples"},{"type":"function","title":"Mailroom.IMAP.copy/3","doc":"","ref":"Mailroom.IMAP.html#copy/3"},{"type":"function","title":"Mailroom.IMAP.each/3","doc":"","ref":"Mailroom.IMAP.html#each/3"},{"type":"function","title":"Mailroom.IMAP.email_count/1","doc":"","ref":"Mailroom.IMAP.html#email_count/1"},{"type":"function","title":"Mailroom.IMAP.examine/2","doc":"","ref":"Mailroom.IMAP.html#examine/2"},{"type":"function","title":"Mailroom.IMAP.expunge/1","doc":"","ref":"Mailroom.IMAP.html#expunge/1"},{"type":"function","title":"Mailroom.IMAP.fetch/5","doc":"Fetches the items for the specified message or range of messages","ref":"Mailroom.IMAP.html#fetch/5"},{"type":"function","title":"Examples: - Mailroom.IMAP.fetch/5","doc":"> IMAP.fetch(client, 1, [:uid])\n    #…\n    > IMAP.fetch(client, 1..3, [:fast, :uid])\n    #…","ref":"Mailroom.IMAP.html#fetch/5-examples"},{"type":"function","title":"Mailroom.IMAP.idle/2","doc":"","ref":"Mailroom.IMAP.html#idle/2"},{"type":"function","title":"Options - Mailroom.IMAP.idle/2","doc":"- `:timeout` - (integer) number of milliseconds before terminating the idle command if no update has been received. Defaults to `1_500_00` (25 minutes)","ref":"Mailroom.IMAP.html#idle/2-options"},{"type":"function","title":"Mailroom.IMAP.idle/4","doc":"","ref":"Mailroom.IMAP.html#idle/4"},{"type":"function","title":"Mailroom.IMAP.init/1","doc":"","ref":"Mailroom.IMAP.html#init/1"},{"type":"function","title":"Mailroom.IMAP.list/3","doc":"","ref":"Mailroom.IMAP.html#list/3"},{"type":"function","title":"Mailroom.IMAP.logout/1","doc":"","ref":"Mailroom.IMAP.html#logout/1"},{"type":"function","title":"Mailroom.IMAP.mailbox/1","doc":"","ref":"Mailroom.IMAP.html#mailbox/1"},{"type":"function","title":"Mailroom.IMAP.recent_count/1","doc":"","ref":"Mailroom.IMAP.html#recent_count/1"},{"type":"function","title":"Mailroom.IMAP.remove_flags/4","doc":"","ref":"Mailroom.IMAP.html#remove_flags/4"},{"type":"function","title":"Mailroom.IMAP.search/4","doc":"","ref":"Mailroom.IMAP.html#search/4"},{"type":"function","title":"Mailroom.IMAP.select/2","doc":"","ref":"Mailroom.IMAP.html#select/2"},{"type":"function","title":"Mailroom.IMAP.set_flags/4","doc":"","ref":"Mailroom.IMAP.html#set_flags/4"},{"type":"function","title":"Mailroom.IMAP.state/1","doc":"","ref":"Mailroom.IMAP.html#state/1"},{"type":"function","title":"Mailroom.IMAP.status/3","doc":"","ref":"Mailroom.IMAP.html#status/3"},{"type":"function","title":"Mailroom.IMAP.uid_fetch/4","doc":"","ref":"Mailroom.IMAP.html#uid_fetch/4"},{"type":"function","title":"Mailroom.IMAP.uid_search/2","doc":"","ref":"Mailroom.IMAP.html#uid_search/2"},{"type":"function","title":"Mailroom.IMAP.unseen_count/1","doc":"","ref":"Mailroom.IMAP.html#unseen_count/1"},{"type":"module","title":"Mailroom.IMAP.BodyStructure","doc":"","ref":"Mailroom.IMAP.BodyStructure.html"},{"type":"function","title":"Mailroom.IMAP.BodyStructure.get_attachments/2","doc":"","ref":"Mailroom.IMAP.BodyStructure.html#get_attachments/2"},{"type":"function","title":"Mailroom.IMAP.BodyStructure.has_attachment?/1","doc":"","ref":"Mailroom.IMAP.BodyStructure.html#has_attachment?/1"},{"type":"function","title":"Mailroom.IMAP.BodyStructure.new/1","doc":"Generates a `BodyStructure` struct from the IMAP ENVELOPE list","ref":"Mailroom.IMAP.BodyStructure.html#new/1"},{"type":"module","title":"Mailroom.IMAP.BodyStructure.Part","doc":"","ref":"Mailroom.IMAP.BodyStructure.Part.html"},{"type":"module","title":"Mailroom.IMAP.Envelope","doc":"","ref":"Mailroom.IMAP.Envelope.html"},{"type":"function","title":"Mailroom.IMAP.Envelope.new/1","doc":"Generates an `Envelope` struct from the IMAP ENVELOPE list","ref":"Mailroom.IMAP.Envelope.html#new/1"},{"type":"function","title":"Mailroom.IMAP.Envelope.normalize/1","doc":"","ref":"Mailroom.IMAP.Envelope.html#normalize/1"},{"type":"module","title":"Mailroom.IMAP.Envelope.Address","doc":"","ref":"Mailroom.IMAP.Envelope.Address.html"},{"type":"function","title":"Mailroom.IMAP.Envelope.Address.new/3","doc":"","ref":"Mailroom.IMAP.Envelope.Address.html#new/3"},{"type":"function","title":"Mailroom.IMAP.Envelope.Address.normalize/1","doc":"","ref":"Mailroom.IMAP.Envelope.Address.html#normalize/1"},{"type":"module","title":"Mailroom.Inbox","doc":"","ref":"Mailroom.Inbox.html"},{"type":"macro","title":"Mailroom.Inbox.match/1","doc":"","ref":"Mailroom.Inbox.html#match/1"},{"type":"module","title":"Mailroom.Inbox.Match","doc":"","ref":"Mailroom.Inbox.Match.html"},{"type":"module","title":"Mailroom.Inbox.MatchUtils","doc":"","ref":"Mailroom.Inbox.MatchUtils.html"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.generate_mail_info/1","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#generate_mail_info/1"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_all/1","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_all/1"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_bcc/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_bcc/2"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_cc/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_cc/2"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_from/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_from/2"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_has_attachment?/1","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_has_attachment?/1"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_header/3","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_header/3"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_recipient/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_recipient/2"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_subject/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_subject/2"},{"type":"function","title":"Mailroom.Inbox.MatchUtils.match_to/2","doc":"","ref":"Mailroom.Inbox.MatchUtils.html#match_to/2"},{"type":"module","title":"Mailroom.Inbox.MessageContext","doc":"","ref":"Mailroom.Inbox.MessageContext.html"},{"type":"module","title":"Mailroom.Inbox.State","doc":"","ref":"Mailroom.Inbox.State.html"},{"type":"module","title":"Mailroom.POP3","doc":"Handles communication with a POP3 server.","ref":"Mailroom.POP3.html"},{"type":"module","title":"Example: - Mailroom.POP3","doc":"{:ok, socket} = Mailroom.POP3.connect(\"pop3.server\", \"username\", \"password\")\n    socket\n    |> Mailroom.POP3.list\n    |> Enum.each(fn(mail) ->\n      message =\n        socket\n        |> Mailroom.POP3.retrieve(mail)\n        |> Enum.join(\"\\n\")\n      # … process message\n      Mailroom.POP3.delete(socket, mail)\n    end)\n    Mailroom.POP3.reset(socket)\n    Mailroom.POP3.close(socket)","ref":"Mailroom.POP3.html#module-example"},{"type":"function","title":"Mailroom.POP3.close/1","doc":"Sends the QUIT command and closes the connection","ref":"Mailroom.POP3.html#close/1"},{"type":"function","title":"Examples: - Mailroom.POP3.close/1","doc":"Mailroom.POP3.close(socket)\n    :ok","ref":"Mailroom.POP3.html#close/1-examples"},{"type":"function","title":"Mailroom.POP3.connect/4","doc":"Connect to the POP3 server\n\nThe following options are available:\n\n  - `ssl` - default `false`, connect via SSL or not\n  - `port` - default `110` (`995` if SSL), the port to connect to\n  - `timeout` - default `15_000`, the timeout for connection and communication","ref":"Mailroom.POP3.html#connect/4"},{"type":"function","title":"Examples: - Mailroom.POP3.connect/4","doc":"Mailroom.POP3.connect(\"pop3.myserver\", \"me\", \"secret\", ssl: true)\n    {:ok, %Mailroom.Socket{}}","ref":"Mailroom.POP3.html#connect/4-examples"},{"type":"function","title":"Mailroom.POP3.delete/2","doc":"Marks a message for deletion.","ref":"Mailroom.POP3.html#delete/2"},{"type":"function","title":"Examples: - Mailroom.POP3.delete/2","doc":"> Mailroom.POP3.delete(socket, {1, 100})\n    :ok\n    > Mailroom.POP3.delete(socket, 1)\n    :ok","ref":"Mailroom.POP3.html#delete/2-examples"},{"type":"function","title":"Mailroom.POP3.list/1","doc":"Retrieves a list of all messages","ref":"Mailroom.POP3.html#list/1"},{"type":"function","title":"Examples: - Mailroom.POP3.list/1","doc":"Mailroom.POP3.list(socket)\n    [{1, 100}, {2, 200}]","ref":"Mailroom.POP3.html#list/1-examples"},{"type":"function","title":"Mailroom.POP3.quit/1","doc":"Sends the QUIT command to end the transaction.","ref":"Mailroom.POP3.html#quit/1"},{"type":"function","title":"Examples: - Mailroom.POP3.quit/1","doc":"> Mailroom.POP3.reset(socket)\n    :ok","ref":"Mailroom.POP3.html#quit/1-examples"},{"type":"function","title":"Mailroom.POP3.reset/1","doc":"Resets all messages marked for deletion.","ref":"Mailroom.POP3.html#reset/1"},{"type":"function","title":"Examples: - Mailroom.POP3.reset/1","doc":"> Mailroom.POP3.reset(socket)\n    :ok","ref":"Mailroom.POP3.html#reset/1-examples"},{"type":"function","title":"Mailroom.POP3.retrieve/2","doc":"Retrieves a message.","ref":"Mailroom.POP3.html#retrieve/2"},{"type":"function","title":"Examples: - Mailroom.POP3.retrieve/2","doc":"> Mailroom.POP3.retrieve(socket, {1, 100})\n    [\"Date: Fri, 30 Sep 2016 10:48:00 +0200\", \"Subject: Test message\", \"To: user@example.com\", \"\", \"Test message\"]\n    > Mailroom.POP3.retrieve(socket, 1)\n    [\"Date: Fri, 30 Sep 2016 10:48:00 +0200\", \"Subject: Test message\", \"To: user@example.com\", \"\", \"Test message\"]","ref":"Mailroom.POP3.html#retrieve/2-examples"},{"type":"function","title":"Mailroom.POP3.stat/1","doc":"Retrieves the number of available messages and the total size in octets","ref":"Mailroom.POP3.html#stat/1"},{"type":"function","title":"Examples: - Mailroom.POP3.stat/1","doc":"Mailroom.POP3.stat(socket)\n    {12, 13579}","ref":"Mailroom.POP3.html#stat/1-examples"},{"type":"module","title":"Mailroom.SMTP","doc":"","ref":"Mailroom.SMTP.html"},{"type":"function","title":"Mailroom.SMTP.connect/2","doc":"","ref":"Mailroom.SMTP.html#connect/2"},{"type":"function","title":"Mailroom.SMTP.fqdn/0","doc":"","ref":"Mailroom.SMTP.html#fqdn/0"},{"type":"function","title":"Mailroom.SMTP.quit/1","doc":"","ref":"Mailroom.SMTP.html#quit/1"},{"type":"function","title":"Mailroom.SMTP.send_message/4","doc":"","ref":"Mailroom.SMTP.html#send_message/4"},{"type":"module","title":"Mailroom.Socket","doc":"Abstracts away working with normal sockets or SSL sockets.","ref":"Mailroom.Socket.html"},{"type":"module","title":"Examples - Mailroom.Socket","doc":"{:ok, socket} = Mailroom.Socket.connect(\"localhost\", 110)\n    {:ok, ssl_socket} = Mailroom.Socket.connect(\"localhost\", 110, ssl: true)\n\n    Mailroom.Socket.send(socket, \"Hello World\")\n    Mailroom.Socket.send(ssl_socket, \"Hello World\")\n\n    Mailroom.Socket.close(socket)\n    Mailroom.Socket.close(ssl_socket)","ref":"Mailroom.Socket.html#module-examples"},{"type":"function","title":"Mailroom.Socket.close/1","doc":"Closes the connection","ref":"Mailroom.Socket.html#close/1"},{"type":"function","title":"Examples - Mailroom.Socket.close/1","doc":":ok = Mailroom.Socket.close(socket)","ref":"Mailroom.Socket.html#close/1-examples"},{"type":"function","title":"Mailroom.Socket.connect/3","doc":"Connect to a TCP `server` on `port`\n\nThe following options are available:\n\n  - `ssl` - default `false`, connect via SSL or not\n  - `timeout` - default `15000`, sets the socket connect and receive timeout\n  - `debug` - default `false`, if true, will print out connection communication","ref":"Mailroom.Socket.html#connect/3"},{"type":"function","title":"Examples - Mailroom.Socket.connect/3","doc":"{:ok, socket} = Mailroom.Socket.connect(\"localhost\", 110, ssl: true)","ref":"Mailroom.Socket.html#connect/3-examples"},{"type":"function","title":"Mailroom.Socket.recv/1","doc":"Receive a line from the socket","ref":"Mailroom.Socket.html#recv/1"},{"type":"function","title":"Examples - Mailroom.Socket.recv/1","doc":"{:ok, line} = Mailroom.Socket.recv(socket)","ref":"Mailroom.Socket.html#recv/1-examples"},{"type":"function","title":"Mailroom.Socket.send/2","doc":"Send data on a socket","ref":"Mailroom.Socket.html#send/2"},{"type":"function","title":"Examples - Mailroom.Socket.send/2","doc":":ok = Mailroom.Socket.send(socket)","ref":"Mailroom.Socket.html#send/2-examples"},{"type":"function","title":"Mailroom.Socket.ssl_client/1","doc":"","ref":"Mailroom.Socket.html#ssl_client/1"},{"type":"type","title":"Mailroom.Socket.t/0","doc":"","ref":"Mailroom.Socket.html#t:t/0"},{"type":"extras","title":"Mailroom","doc":"# Mailroom\n\nSend, receive and process emails.","ref":"readme.html"},{"type":"extras","title":"Example: - Mailroom","doc":"```elixir\nalias Mailroom.POP3\n\n{:ok, client} = POP3.connect(server, username, password, port: port, ssl: true)\nclient\n|> POP3.list\n|> Enum.each(fn(mail) ->\n  {:ok, message} = POP3.retrieve(client, mail)\n  # process message\n  :ok = POP3.delete(client, mail)\nend)\n:ok = POP3.reset(client)\n:ok = POP3.close(client)\n```","ref":"readme.html#example"},{"type":"extras","title":"Installation - Mailroom","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed as:\n\n1. Add `mailroom` to your list of dependencies in `mix.exs`:\n\n   ```elixir\n   def deps do\n     [{:mailroom, \"~> 0.5.0\"}]\n   end\n   ```\n\n2. Ensure `mailroom` is started before your application:\n\n   ```elixir\n   def application do\n     [applications: [:mailroom]]\n   end\n   ```","ref":"readme.html#installation"}],"content_type":"text/markdown"}